## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# SelectionEvent Class Reference

`#include <SelectionEvent.hpp>`

Collaboration diagram for SelectionEvent:

[legend]
List of all members.

## Public Types

- enum eSelectionType { eNone, eBoolean, eNodeSet, eUnknown }

## Public Methods

- SelectionEvent (StylesheetExecutionContext &executionContext, const XalanNode *sourceNode, const ElemTemplateElement &styleNode, const XalanDOMString &attributeName, const XPath &xpath, const XObjectPtr selection)
    Create an event originating at the given node of the style tree. More...
- SelectionEvent (StylesheetExecutionContext &executionContext, const XalanNode *sourceNode, const ElemTemplateElement &styleNode, const XalanDOMString &attributeName, const XalanDOMString &xpathExpression, const XObjectPtr selection)
    Create an event originating at the given node of the style tree. More...
- SelectionEvent (StylesheetExecutionContext &executionContext, const XalanNode *sourceNode, const ElemTemplateElement &styleNode, const XalanDOMString &attributeName, const XPath &xpath, bool selection)
    Create an event originating at the given node of the style tree. More...
- SelectionEvent (StylesheetExecutionContext &executionContext, const XalanNode *sourceNode, const ElemTemplateElement &styleNode, const XalanDOMString &attributeName, const XPath &xpath, const NodeRefListBase &selection)
    Create an event originating at the given node of the style tree. More...
- virtual ~SelectionEvent ()

## Public Attributes

- const StylesheetExecutionContext& m_executionContext
    The executionContext instance. More...
- const XalanNode* m_sourceNode
    The current context node. More...
- const ElemTemplateElement& m_styleNode
    The node in the style tree where the event occurs. More...
- const XalanDOMString& m_attributeName
    The attribute name from which the selection is made. More...
- const XalanDOMString& m_xpathExpression
    The XPath expression evaluated. More...
- const XObjectPtr m_selection
    The result of the selection. More...
- const eSelectionType m_type
    The type of the selection. More...
- bool m_boolean
- const NodeRefListBase* const m_nodeList

## Member Enumeration Documentation

enum SelectionEvent::eSelectionType

  | Enumeration values:
  eNone |
  eBoolean |
  eNodeSet |
  eUnknown |

## Constructor & Destructor Documentation

SelectionEvent::SelectionEvent ( | StylesheetExecutionContext & executionContext,
| const XalanNode * sourceNode,
| const ElemTemplateElement & styleNode,
| const XalanDOMString & attributeName,
| const XPath & xpath,
| const XObjectPtr selection )

  | Create an event originating at the given node of the style tree. Parameters:
  executionContext | The current execution context
  sourceNode | The source node selected.
  styleNode | The node in the style tree reference for the event
  attributeName | The attribute name where the XPath expression was supplied
  xpath | The XPath instance executed
  selection | The result of evaluating the XPath

SelectionEvent::SelectionEvent ( | StylesheetExecutionContext & executionContext,
| const XalanNode * sourceNode,
| const ElemTemplateElement & styleNode,
| const XalanDOMString & attributeName,
| const XalanDOMString & xpathExpression,
| const XObjectPtr selection )

  | Create an event originating at the given node of the style tree. Parameters:
  executionContext | The current execution context
  sourceNode | The source node selected.
  styleNode | The node in the style tree reference for the event
  attributeName | The attribute name where the XPath expression was supplied
  xpathExpression | The XPath expression executed
  selection | The result of evaluating the XPath

SelectionEvent::SelectionEvent ( | StylesheetExecutionContext & executionContext,
| const XalanNode * sourceNode,
| const ElemTemplateElement & styleNode,
| const XalanDOMString & attributeName,
| const XPath & xpath,
| bool selection )

  | Create an event originating at the given node of the style tree. Parameters:
  executionContext | The current execution context
  sourceNode | The source node selected.
  styleNode | The node in the style tree reference for the event
  attributeName | The attribute name where the XPath expression was supplied
  xpath | The XPath instance executed
  selection | The result of evaluating the XPath

SelectionEvent::SelectionEvent ( | StylesheetExecutionContext & executionContext,
| const XalanNode * sourceNode,
| const ElemTemplateElement & styleNode,
| const XalanDOMString & attributeName,
| const XPath & xpath,
| const NodeRefListBase & selection )

  | Create an event originating at the given node of the style tree. Parameters:
  executionContext | The current execution context
  sourceNode | The source node selected.
  styleNode | The node in the style tree reference for the event
  attributeName | The attribute name where the XPath expression was supplied
  xpath | The XPath instance executed
  selection | The result of evaluating the XPath

SelectionEvent::~SelectionEvent ( | )`[virtual]`

## Member Data Documentation

const XalanDOMString & SelectionEvent::m_attributeName

| The attribute name from which the selection is made.

bool SelectionEvent::m_boolean

const StylesheetExecutionContext & SelectionEvent::m_executionContext

| The executionContext instance.

const NodeRefListBase *const SelectionEvent::m_nodeList

const XObjectPtr SelectionEvent::m_selection

| The result of the selection. If it's null, m_sourceNode was selected, or some specific type was selected. See the above enums.

const XalanNode * SelectionEvent::m_sourceNode

| The current context node.

const ElemTemplateElement & SelectionEvent::m_styleNode

| The node in the style tree where the event occurs.

const eSelectionType SelectionEvent::m_type

| The type of the selection.

const XalanDOMString & SelectionEvent::m_xpathExpression

| The XPath expression evaluated.

The documentation for this class was generated from the following file:

- SelectionEvent.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.